#
# spec file for package libksba (Version 0.9.12)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libksba
BuildRequires:  libgcrypt-devel
URL:            http://www.gnupg.org/aegypten/
License:        GPL
Group:          Development/Libraries/C and C++
Autoreqprov:    on
Summary:        A X.509 Library
Version:        0.9.12
Release:        14.2
# change also name and nfb
%define nld_build 0
Source:         libksba-%version.tar.bz2
Patch2:         nld-build.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KSBA is a library to simplify the task of working with X.509
certificates, CMS data, and related data.



Authors:
--------
    Werner Koch  <wk@gnupg.org>

%debug_package
%package devel
Summary:        A X.509 Library
Group:          Development/Libraries/C and C++
%if %nld_build
Conflicts:      libksba-devel
%else
Provides:       libksba:/usr/include/ksba.h
Requires:       libksba = %{version}
%endif

%description devel
KSBA is a library to simplify the task of working with X.509
certificates, CMS data, and related data.

This package contains the needed files to compile and link against the
libksba.



Authors:
--------
    Werner Koch  <wk@gnupg.org>

%prep
%setup -q -n libksba-%version
%if %nld_build
%patch2
%endif

%build
libtoolize --force
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                --prefix=%{_prefix} \
                --sysconfdir=/etc \
                --libdir=%{_libdir} \
                --infodir=%{_infodir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog NEWS README-alpha THANKS TODO
%_libdir/libksba*.so.*

%files devel
%defattr(-,root,root)
/usr/bin/*
%_libdir/libksba*a
%_libdir/libksba*.so
/usr/include/*
%doc %_infodir/ksba*
/usr/share/aclocal/*

%changelog -n libksba
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 26 2005 - mls@suse.de
- make devel package require base package
* Fri Aug 05 2005 - postadal@suse.cz
- updated to version 0.9.12
* Mon Jul 11 2005 - postadal@suse.cz
- updated to version 0.9.11
- removed obsoleted patch autoconf-fix.diff
* Wed Jan 12 2005 - postadal@suse.cz
- update to version 0.9.10
* Thu Sep 30 2004 - postadal@suse.cz
- restored autoconf-fix.diff patch removed by last update [#36193, #46036]
  (fixed autoconf issue - quoted definition of AM_PATH_KSBA)
* Wed Jul 28 2004 - adrian@suse.de
- update to version 0.9.8
* Wed Jul 14 2004 - adrian@suse.de
- create -devel sub package
- prepare for nld
* Mon Jul 12 2004 - adrian@suse.de
- update to version 0.9.7
* Wed Mar 17 2004 - postadal@suse.cz
- fixed autoconf issue (quoted definition of AM_PATH_KSBA) [#36193]
* Tue Feb 10 2004 - postadal@suse.cz
- fixed code that broke strict aliasing
- bziped tarball
* Sun Jan 11 2004 - adrian@suse.de
- add %%run_ldconfig
* Mon Jun 02 2003 - mc@suse.de
- switch to version 0.4.7
  This fixes a problem mainly relevant to certificate request
  creation (if you must use the ugly way of putting the email
  address into the subject DN)
* Thu Feb 20 2003 - mc@suse.de
- initial version
